<template>
	<view class="page">
		<view class="box">
			<view class="u-flex u-row-between" @click='tofor'>
				<text class='font'>密码设置</text>
				<image src="/static/images/return.png" style="width: 36rpx;height: 36rpx;" mode=""></image>
			</view>
			<view class="u-flex u-row-between" style='margin-top:64rpx' @click='privacy'>
				<text class='font'>隐私服务</text>
				<image src="/static/images/return.png" style="width: 36rpx;height: 36rpx;" mode=""></image>
			</view>
			<view class="u-flex u-row-between" style='margin-top:64rpx' @click='serve'>
				<text class='font'>服务协议</text>
				<image src="/static/images/return.png" style="width: 36rpx;height: 36rpx;" mode=""></image>
			</view>
			<view class="u-flex u-row-between" style='margin-top:64rpx' @click='toproblem'>
				<text class='font'>常见问题</text>
				<image src="/static/images/return.png" style="width: 36rpx;height: 36rpx;" mode=""></image>
			</view>
			<view class="u-flex u-row-between" style='margin-top:64rpx' @click='abount'>
				<text class='font'>关于我们</text>
				<image src="/static/images/return.png" style="width: 36rpx;height: 36rpx;" mode=""></image>
			</view>
		</view>
		<view class="button" @click="toquit">
			退出登录
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {

			};
		},
		methods: {
			serve(){
				uni.navigateTo({
					url:'/pages/mine/serve'
				})
			},
			privacy(){
				uni.navigateTo({
					url:'/pages/mine/privacy'
				})
			},
			tofor() {
				uni.navigateTo({
					url: '/pages/login/forgetPassword'
				})
			},
			toproblem() {
				uni.navigateTo({
					url: '/pages/mine/problem'
				})
			},
			abount(){
				uni.navigateTo({
					url:'/pages/mine/abount'
				})
			},
			toquit(){
				uni.clearStorageSync()
				uni.navigateTo({
					url:'/pages/login/login'
				})
			}
		}
	}
</script>

<style lang="scss">
	.button {
		width: 694rpx;
		height: 92rpx;
		background: #FFFFFF;
		border-radius: 16rpx;
		font-size: 32rpx;
		font-family: PingFangSC, PingFang SC;
		font-weight: 400;
		color: #06A971;
		text-align: center;
		line-height: 92rpx;
		margin-top: 20rpx;
	}

	.page {
		background-color: rgba(246, 246, 246, 1);
		padding: 20rpx 28rpx 0;
		min-height: 100vh;
	}

	.font {
		font-size: 28rpx;
		font-family: PingFangSC, PingFang SC;
		font-weight: 400;
		color: #222222;
	}

	.box {
		width: 694rpx;
		height: 524rpx;
		background: #FFFFFF;
		border-radius: 16rpx;
		padding: 40rpx 20rpx 0 24rpx;
	}
</style>